## gambas3 3.20.4

=== Makefile ===
# Makefile for video-capture

VERSION=0.2
FILES=Makefile README index.html video_device.h video_device.c video-capture.c tlphoto.pl
DIST_LOC=slim.tull.net:/var/www/www.nick-andrew.net/projects/video-capture

CFLAGS=-DHAVE_LIBJPEG
LDFLAGS=-ljpeg

all:	video-capture

release:	.release

.release:	index.html tlphoto.pl README video-capture-$(VERSION).tar.gz
	$(MAKE) upload
	touch .release

upload:
	rsync -v -a -e ssh index.html tlphoto.pl README video-capture-$(VERSION).tar.gz $(DIST_LOC)/

README:		index.html
	lynx -dump index.html > README

video-capture:	video-capture.o video_device.o
video-capture.o:	video_device.h video-capture.c
video_device.o:	video_device.h video_device.c

video-capture-$(VERSION).tar.gz:	$(FILES)
	tar zcvf video-capture-$(VERSION).tar.gz $(FILES)
