## gambas3 3.1.1

=== debian/changelog ===
gambas3 (3.1.1-2.2ubuntu4) trusty; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Jan 2014 22:42:45 +0100

gambas3 (3.1.1-2.2ubuntu3) trusty; urgency=medium

  * No change rebuild against glew 1.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 02 Jan 2014 13:21:21 +0000

gambas3 (3.1.1-2.2ubuntu2) trusty; urgency=low

  * Drop libsqlite0-dev dependency.
  * Drop gambas3-gb-db-sqlite2.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 07 Dec 2013 16:38:54 +0000

gambas3 (3.1.1-2.2ubuntu1) trusty; urgency=low

  * Resynchronise with Debian, remaining change:
    - Employ dirty hack to special-case glIsEnabled(GL_LIGHTING) to avoid
      compile errors with GLES, which doesn't have it.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 26 Nov 2013 17:52:23 +0000

gambas3 (3.1.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Backport upstream r4730, r4731, and r4732 to fix compatibility with
    Poppler >= 0.20.x (Closes: #679885)

 -- Pino Toscano <pino@debian.org>  Tue, 23 Jul 2013 11:32:16 +0200

gambas3 (3.1.1-2.1) unstable; urgency=low

  [ Sebastian Ramacher ]
  * Non-maintainer upload.
  * Fix FTBFS with eglibc-2.7. (Closes: #701393)

  [ Dmitrijs Ledkovs ]
  * Non-maintainer upload

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 04 Jun 2013 23:16:32 +0100

gambas3 (3.1.1-2) unstable; urgency=low

  * debian/control:
   - Removed hardcoded dependency on libglew1.5 (Closes: #674080)
   - Replaced libpoppler-dev by libpoppler-private-dev build
     dependency (Closes: #673746)
   - Fine tuning some build dependencies trying to compile in freebsd archs

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Thu, 24 May 2012 13:00:18 +0200

gambas3 (3.1.1-1) unstable; urgency=low

  * First upload to Debian of gambas3 (Closes: #654424)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Fri, 04 May 2012 18:21:24 +0200
 
