=== debian/control ===
Source: gambas3
Section: devel
Priority: optional
Homepage: http://gambas.sourceforge.net
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gambas Debian Maintainers <pkg-gambas-devel@lists.alioth.debian.org> 
Uploaders: Ian Haywood <ian@haywood.id.au>, David Paleino <dapal@debian.org>, José L. Redrejo Rodríguez <jredrejo@debian.org>
Build-Depends: debhelper (>> 7), dh-autoreconf, libpq-dev, libv4l-dev [linux-any], libcam-dev [kfreebsd-any], libmysqlclient-dev, libbz2-dev, libglew-dev, libqt4-dev, libqt4-opengl-dev, libcurl4-openssl-dev, libsdl-mixer1.2-dev, libxml2-dev, libxslt1-dev, kdelibs5-dev, libssl-dev, zlib1g-dev, unixodbc-dev, libsqlite3-dev, libgtk2.0-dev, libxt-dev, pkg-config, mesa-common-dev, libsdl-sound1.2-dev, libsdl-image1.2-dev, libsdl-gfx1.2-dev, libsdl-ttf2.0-dev, libpcre3-dev, libsdl1.2-dev, libjpeg-dev, libpng12-dev, libpoppler-private-dev, libimlib2-dev, librsvg2-dev, bzip2, gettext, libxtst-dev, libffi-dev, libdbus-1-dev, libgnome-keyring-dev, libgtkglext1-dev, linux-libc-dev [linux-any], libc0.1 [kfreebsd-any], libqtwebkit-dev
Standards-Version: 3.9.3

Package: gambas3
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-gb-cairo (>= ${binary:Version}), gambas3-gb-dbus (>= ${binary:Version}), gambas3-examples (>= ${binary:Version}), gambas3-gb-form-stock (>= ${binary:Version}), gambas3-gb-chart (>= ${binary:Version}), gambas3-gb-compress-bzlib2 (>= ${binary:Version}), gambas3-gb-compress-zlib (>= ${binary:Version}), gambas3-gb-crypt (>= ${binary:Version}), gambas3-gb-db-form (>= ${binary:Version}), gambas3-gb-db-mysql (>= ${binary:Version}), gambas3-gb-db-postgresql (>= ${binary:Version}), gambas3-gb-db-odbc (>= ${binary:Version}), gambas3-gb-db-sqlite3 (>= ${binary:Version}), gambas3-gb-desktop (>= ${binary:Version}), gambas3-gb-form-dialog (>= ${binary:Version}), gambas3-gb-form-mdi (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-image-effect (>= ${binary:Version}), gambas3-gb-image-imlib (>= ${binary:Version}), gambas3-gb-image-io (>= ${binary:Version}), gambas3-gb-net-curl (>= ${binary:Version}), gambas3-gb-net-smtp (>= ${binary:Version}), gambas3-gb-opengl-glsl (>= ${binary:Version}), gambas3-gb-opengl-glu (>= ${binary:Version}), gambas3-gb-pcre (>= ${binary:Version}), gambas3-gb-pdf (>= ${binary:Version}), gambas3-gb-qt4-ext (>= ${binary:Version}), gambas3-gb-qt4-webkit (>= ${binary:Version}), gambas3-gb-qt4-opengl, gambas3-gb-report (>= ${binary:Version}), gambas3-gb-sdl-sound (>= ${binary:Version}), gambas3-gb-settings (>= ${binary:Version}), gambas3-gb-vb, gambas3-gb-v4l (>= ${binary:Version}), gambas3-gb-web, gambas3-gb-xml-rpc (>= ${binary:Version}), gambas3-gb-xml-xslt (>= ${binary:Version}), gambas3-ide (>= ${binary:Version}), gambas3-gb-mysql (>= ${binary:Version}), gambas3-gb-option (>= ${binary:Version})
Description: Complete visual development environment for Gambas
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 With Gambas, you can quickly design your program GUI, access MySQL or
 PostgreSQL databases, pilot KDE applications with DCOP, translate your
 program into many languages, and so on...
 .
 This package doesn't include anything: it is a metapackage to install the
 IDE and all the available gambas components...

Package: gambas3-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas compilation tools
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes the gambas compiler, archiver and informer.

Package: gambas3-gb-cairo
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-gb-image (>= ${binary:Version})
Description: Gambas bindings for cairo
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for cairo.

Package: gambas3-gb-dbus
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas bindings for DBUS
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes Gambas bindings for the DBUS system.

Package: gambas3-gb-form-stock
Architecture: all
Section: devel
Depends: ${misc:Depends}, gambas3-gb-form (>= ${binary:Version})
Description: Gambas form stock icons
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package includes support for stock form icons.

Package: gambas3-examples
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Gambas examples
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This package provides the examples.

Package: gambas3-gb-chart
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-form (>= ${binary:Version})
Description: Gambas charting component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component to draw charts.
  
Package: gambas3-gb-compress
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component have the needed base libraries for the rest of compression 
 components.

Package: gambas3-gb-compress-bzlib2
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-compress (>= ${binary:Version})
Description: Gambas bzlib2 component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to compress/uncompress data or files with
 the bzip2 algorithm.

Package: gambas3-gb-compress-zlib
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-compress (>= ${binary:Version})
Description: Gambas zlib compression component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to compress/uncompress data or files with
 the gzip and PKZIP algorithm.

Package: gambas3-gb-crypt
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version})
Description: Gambas crypt encription component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows one to use the crypt() glib function in gambas.

Package: gambas3-gb-db
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-form  (>= ${source:Version}), gambas3-gb-qt4-ext (>= ${binary:Version})
Description: Gambas database access common libraries
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component provides the needed common libraries for data access.

Package: gambas3-gb-db-form
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version}), gambas3-gb-form  (>= ${binary:Version})
Description: Gambas database bound controls
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component that implements data bound controls.
 It provides the following new controls: DataSource, DataBrowser,
 DataView, DataControl and DataCombo.

Package: gambas3-gb-db-mysql
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: MySQL driver for the Gambas database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access MySQL databases.

Package: gambas3-gb-db-odbc
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: ODBC driver for the Gambas database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access to databases via unixODBC drivers
 from gambas code.

Package: gambas3-gb-db-postgresql
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: PostgreSQL driver for the Gambas database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access PostgreSQL databases.

Package: gambas3-gb-db-sqlite3
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-db (>= ${binary:Version})
Description: Gambas sqlite3 driver database component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component allows you to access to sqlite3 databases from gambas code.

Package: gambas3-gb-desktop
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-form (>= ${source:Version}), xdg-utils
Description: Gambas Portland project compatibility component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This component provides an access to the Portland project 
 (http://portland.freedesktop.org/wiki/) xdg utilities.

Package: gambas3-gb-form
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-gui (>= ${binary:Version}), gambas3-gb-settings (>= ${binary:Version})
Description: Gambas native form component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component to serve as base for graphic components. 

Package: gambas3-gb-form-dialog
Architecture: all
Section: libdevel
Depends: ${misc:Depends}, gambas3-runtime (>= ${binary:Version}), gambas3-gb-form (>= ${binary:Version})
Description: Gambas native mdi form component
 Gambas is a free development environment based on a Basic interpreter
 with object extensions, like Visual Basic(tm) (but it is NOT a clone!).
 .
 This is a native gambas component that implements the Workspace control. 

Package: gambas3-gb-form-mdi
Architecture: all
Section: libdevel
