=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTION

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -g
endif


configure:
	dh_autoreconf

config.status: configure

	CFLAGS="$(CFLAGS)" ./configure --host=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE) --build=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE) -C --prefix=/usr --with-sdl-includes=/usr/include/SDL --with-sdl-libraries=/usr/lib --with-libxml-includes=/usr/include/libxml2 --with-xslt-includes=/usr/include/libxslt --disable-gsl
	touch configure-stamp


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr
	touch build-stamp

clean:

	rm -f build-stamp configure-stamp
	rm -f config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name ".action" -print0 |xargs -0 rm -Rf
	find . -name ".gambas" -print0 |xargs -0 rm -Rf
	find . -name "*.gambas" -delete
	find . -name "DISABLED" -delete
	find . -name "warnings.log" -delete
	find . -name ".info" -delete
	find . -name ".list" -delete
	find . -name ".startup" -delete
	dh_autoreconf_clean
	dh_clean
	

install: build

	dh_prep
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr -name *.png -perm /ugo+x -exec chmod 644 \{} \;

binary-indep: build-indep install

	dh_install --sourcedir=debian/tmp -XCOPYING -XLicense -XLicence -i 
	dh_installman debian/gambas3.1 -p gambas3-ide
	dh_link -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i
	dh_builddeb -i

binary-arch: build-arch install

	dh_install --sourcedir=debian/tmp -a
	dh_installmime -a
	dh_installman debian/gbi3.1 -p gambas3-dev
	dh_installman debian/gbx3.1 -p gambas3-runtime
	dh_installman debian/gbr3.1 -p gambas3-runtime
	dh_installman debian/gba3.1 -p gambas3-dev
	dh_installman debian/gbc3.1 -p gambas3-dev
	dh_installman debian/gbs3.1 -p gambas3-script
	dh_installman debian/gbw3.1 -p gambas3-script
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lintian -a
	dh_compress -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
