## gambas3 3.5.4

=== debian/changelog ===
gambas3 (3.5.4-2ubuntu5) wily; urgency=medium

  * No-change rebuild for libstdc++ ABI changes

 -- Matthias Klose <doko@ubuntu.com>  Sun, 09 Aug 2015 13:46:44 +0000

gambas3 (3.5.4-2ubuntu4) wily; urgency=medium

  * Rebuild with llvm-3.5 - remove this change when upstream supports llvm
    3.6.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 23 Jun 2015 13:20:17 +0100

gambas3 (3.5.4-2ubuntu3) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 21 Jan 2015 14:13:15 +0000

gambas3 (3.5.4-2ubuntu2) vivid; urgency=medium

  * No-change rebuild for new poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 12 Nov 2014 15:46:10 +0000

gambas3 (3.5.4-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Drop libsqlite0-dev dependency.
      + Drop gambas3-gb-db-sqlite2.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 17 Oct 2014 09:13:52 +0200

gambas3 (3.5.4-2) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * Add fix-llvm-3.5.patch, fixing the llvm-3.5 build failure.
    (Closes: #763238)

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 13 Oct 2014 10:46:46 +0200

gambas3 (3.5.4-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. (LP: #1343154) Remaining changes:
    - Drop libsqlite0-dev dependency.
    - Drop gambas3-gb-db-sqlite2.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 14 Jul 2014 15:07:17 +0200

gambas3 (3.5.4-1) unstable; urgency=medium

  * Team upload.

  [ Gianfranco Costamagna ]
  * New upstream version. (Closes: #752625, #754209)
  * Added Vcs-* fields.
  * Add gambas3-gb-clipper as dependency of gambas3-ide
    (Closes: #749059), thanks to Shane Kerr.
  * Bump compat level to 9.
  * Remove d/p/find_postgresql_headers, addressed upstream.


  [ Pino Toscano ]
  * Adding parallel builds (Closes: #751217).

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Mon, 14 Apr 2014 10:46:46 +0200

gambas3 (3.5.2-2ubuntu2) utopic; urgency=medium

  * No change rebuild for poppler

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 26 May 2014 10:17:45 +0100

gambas3 (3.5.2-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable (LP: #1295963).  Remaining changes:
    - Drop libsqlite0-dev dependency.
    - Drop gambas3-gb-db-sqlite2.
  * debian/patches/gles_GL_LIGHTING_hack: dropped, merged upstream.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 24 Mar 2014 15:22:27 +0100

gambas3 (3.5.2-2) unstable; urgency=low

  * New upstream version
  * New packages gb.media, gb.logging, gb.desktop.gnome
  * postgresql-server-dev-all needed to compile postgres 
    drivers (Closes: #741789)

 -- Ian Haywood <ian@haywood.id.au>  Wed, 02 Apr 2014 16:23:48 +1100

gambas3 (3.5.2-1) unstable; urgency=low
 
  * New upstream version
  * Fix bug in gb.geom (Closes: #731487)
  * Added SIL font licence to debian/copyright
  * fix permissions on gb.sdl/data/src/_default.bdf

 -- Ian Haywood <ian@haywood.id.au>  Fri, 14 Feb 2014 14:41:15 +1100

gambas3 (3.5.1-1) unstable; urgency=low

  [ José L. Redrejo Rodríguez ]
  * New upstream release.
  * Remove previous Poppler patch, as upstream is updated. Thanks to Pino
    for its help while we were MIA.
  * Removed patch from Sebastian Ramacher as it's not needed with this
    new upstream version. Thanks to him and Dmitrijs Ledkovs for his NMU.
  * debian/control:
    - New gambas3 components.
    - Added new dependencies for the new Gambas3 components.
    - Fixed some build dependencies to match current Debian sid repo.
  * debian/patches/fix_typos (Closes: #690509, #690510)
  * debian/patches/kfreebsd_support (Closes: #710320) . Thanks to 
    Steven Chamberlain.

  [ Ian  Haywood ]
  * Updated debian/copyright.
  * Fixed some grammar errors in the changelog.
  * Added gb.jit and its dependencies.
  * debian/rules: moving to dpkg-buildflags.

 -- José L. Redrejo Rodríguez <jredrejo@debian.org>  Tue, 03 Sep 2013 12:52:14 +0200
