=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTION
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif


configure:
	dh_autoreconf

config.status: configure

	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" CXXFLAGS="$(CXXFLAGS)" LLVM_CONFIG=/usr/bin/llvm-config ./configure --host=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE) --build=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE) -C --prefix=/usr --with-sdl-includes=/usr/include/SDL --with-sdl-libraries=/usr/lib --with-libxml-includes=/usr/include/libxml2 --with-xslt-includes=/usr/include/libxslt LLVM_CONFIG=/usr/bin/llvm-config-3.5
	touch configure-stamp


build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE) $(NJOBS) prefix=$(CURDIR)/debian/tmp/usr
	touch build-stamp

clean:

	rm -f build-stamp configure-stamp
	rm -f config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	find . -name ".action" -print0 |xargs -0 rm -Rf
	find . -name ".gambas" -print0 |xargs -0 rm -Rf
	find . -name "*.gambas" -delete
	find . -name "DISABLED" -delete
	find . -name "DISABLED.gb*" -delete
	find . -name "warnings.log" -delete
	find . -name ".info" -delete
	find . -name ".list" -delete
	find . -name ".startup" -delete
	rm -f gb.media/src/Makefile
	rm -f gb.media/DISABLED.gb.media
	dh_autoreconf_clean
	dh_clean
	

install: build

	dh_prep
	XDG_UTILS_INSTALL_MODE=user $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr -name "*.la" -delete
	find $(CURDIR)/debian/tmp/usr -name *.png -perm /ugo+x -exec chmod 644 \{} \;
	chmod 644 $(CURDIR)/debian/tmp/usr/share/gambas3/gb.sdl/_default.bdf
 
binary-indep: build-indep install

	dh_install --sourcedir=debian/tmp -XCOPYING -XLicense -XLicence -i 
	dh_installman debian/gambas3.1 -p gambas3-ide
	dh_installman debian/gbs3.1 -p gambas3-script
	dh_installman debian/gbw3.1 -p gambas3-script
	dh_link -i
	dh_fixperms -i
	dh_gencontrol -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_lintian -i
	dh_compress -i
	dh_builddeb -i

binary-arch: build-arch install

	dh_install --sourcedir=debian/tmp -a
	dh_installmime -a
	dh_installman debian/gbi3.1 -p gambas3-dev
	dh_installman debian/gbx3.1 -p gambas3-runtime
	dh_installman debian/gbr3.1 -p gambas3-runtime
	dh_installman debian/gba3.1 -p gambas3-dev
	dh_installman debian/gbc3.1 -p gambas3-dev

	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_shlibdeps -a --dpkg-shlibdeps-params=--ignore-missing-info
	dh_gencontrol -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lintian -a
	dh_compress -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install
